%define oname		xklavier

%define major		16
%define gmajor		1.0
%define libname		%mklibname %{oname} %{major}
%define develname	%mklibname %{oname} -d
%define girname		%mklibname %{oname}-gir %{gmajor}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		libxklavier
Summary:	X Keyboard support library
Version:	5.4
Release:	%mkrel 5
License:	LGPLv2+
Group:		System/Libraries
Url:		http://gswitchit.sourceforge.net/
#Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# (ngompa): The source moved, for now...
Source:		https://people.freedesktop.org/~svu/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(iso-codes)

%description
This library allows you simplify XKB-related development.

%package -n %{libname}
Summary:	X Keyboard support library
Group:		System/Libraries
Requires:	iso-codes

%description -n %{libname}
This library allows you simplify XKB-related development.

%package -n %{develname}
Summary:	Libraries, includes, etc to develop libxklavier applications
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}xklavier8-devel
Obsoletes:	%{_lib}xklavier11-devel
Obsoletes:	%{_lib}xklavier-static-devel < 5.1-2

%description  -n %{develname}
Libraries, include files, etc you can use to develop libxklavier
applications.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure \
	--disable-static \
	--with-xkb-base=%{_datadir}/X11/xkb/ \
	--with-xkb-bin-base=%{_bindir}/ \
	--enable-introspection=yes
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%license COPYING.LIB
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/libxklavier/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/gir-1.0/Xkl-%{gmajor}.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/Xkl-%{gmajor}.typelib


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 5.4-5.mga9
+ Revision: 1819267
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 5.4-4.mga8
+ Revision: 1514696
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 27 2018 umeabot <umeabot> 5.4-3.mga7
+ Revision: 1308494
- Mageia 7 Mass Rebuild

* Fri May 06 2016 ngompa <ngompa> 5.4-1.mga6
+ Revision: 1009676
- Update to 5.4

* Mon Feb 15 2016 umeabot <umeabot> 5.3-9.mga6
+ Revision: 961241
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 pterjan <pterjan> 5.3-8.mga6
+ Revision: 899080
- Fix BuildRequires

* Mon Jun 29 2015 wally <wally> 5.3-7.mga6
+ Revision: 847746
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 5.3-6.mga5
+ Revision: 745475
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 5.3-5.mga5
+ Revision: 724936
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 5.3-4.mga5
+ Revision: 681887
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.3-3.mga4
+ Revision: 507496
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 5.3-2.mga3
+ Revision: 358618
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 fwang <fwang> 5.3-1.mga3
+ Revision: 296954
- new version 5.3

* Thu Feb 16 2012 fwang <fwang> 5.2.1-1.mga2
+ Revision: 209580
- new version 5.2.1

* Wed Jan 18 2012 wally <wally> 5.2-1.mga2
+ Revision: 197934
- new version 5.2
- enable introspection
- clean .spec

* Mon Oct 17 2011 wally <wally> 5.1-2.mga2
+ Revision: 155821
- disable static build
- get rid of .la files

* Wed Jun 08 2011 dmorgan <dmorgan> 5.1-1.mga2
+ Revision: 101698
- New version 5.1

* Sat Jan 15 2011 mikala <mikala> 5.0-3.mga1
+ Revision: 19229
- Remove mdk macros
- Remove BuildRoot
- imported package libxklavier


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 5.0-3mdv2011.0
+ Revision: 602621
- rebuild

* Sun May 02 2010 Funda Wang <fwang@mandriva.org> 5.0-2mdv2010.1
+ Revision: 541519
- BR xi for bug#59030

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 5.0-1mdv2010.1
+ Revision: 489609
- new version
- new major

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 4.0-1mdv2010.0
+ Revision: 390455
- new version
- new major
- drop patches

* Thu Mar 19 2009 Götz Waschk <waschk@mandriva.org> 3.9-1mdv2009.1
+ Revision: 357660
- new version
- fix format strings
- fix source URL

* Mon Nov 24 2008 Funda Wang <fwang@mandriva.org> 3.8-1mdv2009.1
+ Revision: 306125
- new version 3.8

* Sat Sep 06 2008 Götz Waschk <waschk@mandriva.org> 3.7-1mdv2009.0
+ Revision: 281911
- new version
- update license
- add dep on iso-codes
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 11 2008 Frederic Crozat <fcrozat@mandriva.com> 3.5-2mdv2008.1
+ Revision: 186124
- Do not obsolete libxklavier-data, it is causing one big transaction in urpmi

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 3.5-1mdv2008.1
+ Revision: 183933
- new version
- drop the data package

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 3.4-1mdv2008.1
+ Revision: 160625
- new version
- new major

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 3.3-1mdv2008.0
+ Revision: 80000
- new version
- new devel name


* Wed Mar 28 2007 Frederic Crozat <fcrozat@mandriva.com> 3.2-1mdv2007.1
+ Revision: 149103
- Release 3.2 (fix incorrect group settings)
- Remove patch0 (fixed differently upstream)

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 3.1-3mdv2007.1
+ Revision: 144444
- Patch1 (Debian): fix bad realloc usage

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 3.1-2mdv2007.1
+ Revision: 91920
- patch for bug #27504
- fix buildrequires

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 3.1-1mdv2007.1
+ Revision: 88718
- Import libxklavier

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 3.1-1mdv2007.1
- New version 3.1

* Thu Aug 31 2006 Frederic Crozat <fcrozat@mandriva.com> 3.0-1mdv2007.0
- Release 3.0

* Sun Jul 02 2006 Guillaume Bedot <littletux@mandriva.org> 2.91-3mdv2007.0
- fix xkb-bin-base

* Sun Jun 04 2006 Götz Waschk <waschk@mandriva.org> 2.91-2mdv2007.0
- fix xkb prefix
- fix buildrequires

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.91-1mdv2007.0
- Release 2.91
- Remove patch0

* Wed Mar 15 2006 Götz Waschk <waschk@mandriva.org> 2.2-1mdk
- New release 2.2

* Wed Jan 04 2006 Götz Waschk <waschk@mandriva.org> 2.1-1mdk
- New release 2.1
- use mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.0-6mdk
- Rebuild

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0-5mdk 
- Rebuild with gtk+ 2.8

* Sun May 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0-4mdk
- add BuildRequires: gettext-devel

* Fri May 20 2005 Götz Waschk <waschk@mandriva.org> 2.0-3mdk
- fix build with gcc4

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0-2mdk 
- Add conflicts to ease update

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0-1mdk 
- Release 2.0 (from Götz Waschk package)
- enable xmodmap support
- Remove patches 0, 1 (merged upstream)

* Tue Feb 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.04-2mdk 
- Patch0 (Gentoo): fix double free (Mdk bug #13445)

* Tue Oct 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.04-1mdk
- New release 1.04

* Tue Sep 21 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.03-2mdk
- lib64 & 64-bit fixes
- provides libxklavier-static-devel

* Fri Jul 09 2004 Götz Waschk <waschk@linux-mandrake.com> 1.03-1mdk
- use installed docs
- reenable libtoolize
- fix source URL
- New release 1.03

* Thu Apr 15 2004 Götz Waschk <waschk@linux-mandrake.com> 1.02-1mdk
- fix buildrequires
- new version

* Tue Apr 13 2004 Götz Waschk <waschk@linux-mandrake.com> 1.01-1mdk
- new version

* Sat Apr 03 2004 Götz Waschk <waschk@linux-mandrake.com> 1.00-1mdk
- new version

